
From: Miklos Szeredi <miklos@szeredi.hu>

This patch fixes a couple of warnings when compiling on the x86_64
architecture.

Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/fuse/file.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/fuse/file.c~fuse-direct-i-o-fix-warning-on-x86_64 fs/fuse/file.c
--- 25/fs/fuse/file.c~fuse-direct-i-o-fix-warning-on-x86_64	Thu Mar 31 15:08:00 2005
+++ 25-akpm/fs/fuse/file.c	Thu Mar 31 15:08:00 2005
@@ -393,7 +393,7 @@ static ssize_t fuse_direct_io(struct fil
 {
 	struct inode *inode = file->f_dentry->d_inode;
 	struct fuse_conn *fc = get_fuse_conn(inode);
-	unsigned nmax = write ? fc->max_write : fc->max_read;
+	size_t nmax = write ? fc->max_write : fc->max_read;
 	loff_t pos = *ppos;
 	ssize_t res = 0;
 	struct fuse_req *req = fuse_get_request(fc);
@@ -401,8 +401,8 @@ static ssize_t fuse_direct_io(struct fil
 		return -ERESTARTSYS;
 
 	while (count) {
-		unsigned tmp;
-		unsigned nres;
+		size_t tmp;
+		size_t nres;
 		size_t nbytes = min(count, nmax);
 		int err = fuse_get_user_pages(req, buf, nbytes, !write);
 		if (err) {
_
